var tags = require("common-tags");
var Particle = require("../lib/particle");
var board = new Particle({
  token: process.env.PARTICLE_TOKEN,
  // deviceId: process.env.PARTICLE_PHOTON_REDBOARD_1
  deviceId: "31002e000347343337373739"

});

board.on("ready", function() {
  var values = [];
  var headers = [];
  Array.from({length: 4}, (_, index) => {
    var pin = `D${index}`;
    headers.push(pin);
    values.push(0);
    this.pinMode(pin, this.MODES.INPUT);
    this.digitalRead(pin, function(value) {
      values[index] = value;
    });
  });

  setInterval(function() {
    console.log(
      tags.stripIndent`
        ${headers.join(" ")}
        ${"-".repeat(headers.length * 3 - 1)}
        ${values.map(toColumn).join(" ")}
        ${" ".repeat(headers.length * 3)}
      `
    );
    console.log("\n");
  }.bind(this), 100);
});

function toColumn(value) {
  return Array(2 - String(value).length + 1).join(" ") + value;
}
