var five = require("johnny-five");
var Particle = require("../lib/particle");
var board = new five.Board({
  io: new Particle({
    token: process.env.PARTICLE_TOKEN,
    deviceId: process.env.PARTICLE_PHOTON_1
  })
});

// The board's pins will not be accessible until
// the board has reported that it is ready
board.on("ready", function() {
  var proximity = new five.Proximity({
    controller: "HCSR04",
    pin: "D3"
  });

  proximity.on("data", function() {
    console.log("inches: ", this.inches);
    console.log("cm: ", this.cm);
  });
});
